/**

 * Pilot Journey Block Styles

 *

 * @package UltraLite_BS_ACF

 * @since 1.0.0

 */


 .journey-card {
    position: relative;
    background: #314E5B;
    /*  need to define globally */
    color: white;
    border-radius: 32px;
    padding: 48px;
    text-align: left;
    transition: all 0.45s cubic-bezier(0.25, 0.8, 0.25, 1);
    overflow: hidden;
    /* height: 100%; */
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
    transform: translateZ(0);
    backface-visibility: hidden;
    -webkit-font-smoothing: antialiased;
}

.journey-card::before {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 24px;
    padding: 2px;
    background: linear-gradient(45deg, transparent, rgba(255, 255, 255, 0.1));
    mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    mask-composite: exclude;
    opacity: 0;
    transition: opacity 0.4s;
}

.card-number {
    width: 56px;
    height: 56px;
    background: white;
    color: black;
    border-radius: 50%;
    display: flex;
    align-items: baseline;
    justify-content: center;
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 32px;
    flex-shrink: 0;
}

.journey-card h3 {
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 0;
    min-height: 77px;
}

.journey-card p {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease;
    margin: 0;
    line-height: 1.6;
    flex-grow: 1;
    color: black;
    text-align: left;
}

.card-image {
    position: absolute;
    top: 0;
    right: 0;
    max-width: 265px;
    width: 265px;
    height: 265px;
    object-fit: cover;
    max-height: 265px;
    border-radius: 12px;
    opacity: 0;
    transition: all 0.6s ease;
    pointer-events: none;
    z-index: 2;
    clip-path: ellipse(85% 90% at 100% 0%);
}

/* Hover & Active State */
.journey-card:hover,
.journey-card.active {
    background: var(--yellow-color);
    color: #000;
    z-index: 10;
    /* height: 478px; */
    padding-top: 37%;
}

.journey-card:hover h3,
.journey-card.active h3 {

    margin-bottom: 16px !important;
}



.journey-card:hover p,
.journey-card.active p {
    opacity: 1;
    max-height: fit-content;
}

.journey-card:hover .card-image,
.journey-card.active .card-image {
    opacity: 1;
    transform: translateY(0);
}

/* Responsive adjustments */
@media (max-width: 992px) {

    .journey-card:hover,
    .journey-card.active {
        transform: translateY(0px);
    }

    .journey-card h3 {
        font-size: 24px;
    }

    .journey-card:hover,
    .journey-card.active {
        padding-top: 10%;
    }

    .journey-card h3 {
        min-height: fit-content !important;
        line-height: 32px;
    }
}

@media (max-width: 768px) {
    .card-number {
        margin-bottom: 24px;
    }

    .journey-card:hover,
    .journey-card.active {
        height: 432px;
    }

    .journey-card {
        padding: 24px;
    }
}